{"openapi":"3.1.0","info":{"title":"MineRStatus API","description":"A lightweight Minecraft server status query API (Rust).","license":{"name":"MIT","identifier":"MIT"},"version":"0.1.0"},"paths":{"/":{"get":{"tags":["Minecraft Status"],"operationId":"status_unclassified","responses":{"200":{"description":"Server status (or an error message when unreachable), or the icon PNG when ip ends with /icon","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusResponse"}}}},"404":{"description":"Icon: server unreachable or no icon available","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/bedrock":{"get":{"tags":["Minecraft Status"],"operationId":"status_bedrock","responses":{"200":{"description":"Server status (or an error message when unreachable)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusResponse"}}}}}}},"/health":{"get":{"tags":["Health"],"operationId":"health","responses":{"200":{"description":"Service health check and version"}}}},"/java":{"get":{"tags":["Minecraft Status"],"operationId":"status_java","responses":{"200":{"description":"Server status, or the icon PNG when ip ends with /icon","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusResponse"}}}},"404":{"description":"Server unreachable or no icon available","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","required":["error"],"properties":{"error":{"type":"string"}}},"MotdResponse":{"type":"object","required":["plain","html","minecraft","ansi"],"properties":{"ansi":{"type":"string"},"html":{"type":"string"},"minecraft":{"type":"string"},"plain":{"type":"string"}}},"PlayersResponse":{"type":"object","required":["online","max"],"properties":{"max":{"type":"integer","format":"int64"},"online":{"type":"integer","format":"int64"}}},"StatusResponse":{"type":"object","required":["online","players","delay","version","motd"],"properties":{"delay":{"type":"number","format":"double"},"icon":{"type":["string","null"]},"motd":{"$ref":"#/components/schemas/MotdResponse"},"online":{"type":"boolean"},"players":{"$ref":"#/components/schemas/PlayersResponse"},"version":{"type":"string"}}}}}}